BlastLikeSearchFilter.Not (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.BlastLikeSearchFilter.Not class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class BlastLikeSearchFilter.Not

    java.lang.Object
      org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter
          org.biojava.bio.search.BlastLikeSearchFilter.Not

All Implemented Interfaces:
  Serializable, BlastLikeSearchFilter

Enclosing interface:
  BlastLikeSearchFilter

    public static final class BlastLikeSearchFilter.Not

extends BlastLikeSearchFilter.AbstractBlastLikeSearchFilter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.search.BlastLikeSearchFilter
`BlastLikeSearchFilter.AbstractBlastLikeSearchFilter, BlastLikeSearchFilter.And, BlastLikeSearchFilter.ByHitProperty, BlastLikeSearchFilter.BySearchProperty, BlastLikeSearchFilter.BySubHitProperty, BlastLikeSearchFilter.Node, BlastLikeSearchFilter.Not, BlastLikeSearchFilter.Or`

Field Summary

Fields inherited from class org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter
`cachedOutcome`

Fields inherited from interface org.biojava.bio.search.BlastLikeSearchFilter
`KEY_QUERY_ID`

Constructor Summary
`BlastLikeSearchFilter.Not(BlastLikeSearchFilter.AbstractBlastLikeSearchFilter filter)`

Method Summary
`TriState` | `accept()` returns a TriState indicating the current outcome of evaluating this filter.
`void` | `evaluate(BlastLikeSearchFilter.Node fch)` computes the outcome of this filter on the specified node and stores it.

Methods inherited from class org.biojava.bio.search.BlastLikeSearchFilter.AbstractBlastLikeSearchFilter
`reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlastLikeSearchFilter.Not

    public BlastLikeSearchFilter.Not(BlastLikeSearchFilter.AbstractBlastLikeSearchFilter filter)

Method Detail

### accept

    public TriState accept()

  Description copied from interface: `BlastLikeSearchFilter`
  returns a TriState indicating the current outcome of evaluating this filter. This is usually the outcome saved when evaluate(FilteringContentHandler fch) was called.

  Specified by:
    `accept` in interface `BlastLikeSearchFilter`
  Overrides:
    `accept` in class `BlastLikeSearchFilter.AbstractBlastLikeSearchFilter`

### evaluate

    public void evaluate(BlastLikeSearchFilter.Node fch)

  Description copied from interface: `BlastLikeSearchFilter`
  computes the outcome of this filter on the specified node and stores it. This method is only exposed to permit it to be included in an interface. Users should not use it.

  Specified by:
    `evaluate` in interface `BlastLikeSearchFilter`
  Specified by:
    `evaluate` in class `BlastLikeSearchFilter.AbstractBlastLikeSearchFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD